astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Time and Dates (`astropy.time`) »
- TimeISOT

# TimeISOT

class `astropy.time.core.``TimeISOT`(val1, val2, scale, precision, in_subfmt, out_subfmt, from_jd=False)

  Bases: `astropy.time.core.TimeString`

  ISO 8601 compliant date-time format “YYYY-MM-DDTHH:MM:SS.sss...”. This is the same as TimeISO except for a “T” instead of space between the date and time.

  The allowed subformats are:

  - ‘date_hms’: date + hours, mins, secs (and optional fractional secs)
  - ‘date_hm’: date + hours, mins
  - ‘date’: date

  Attributes Summary

  `name` | unicode(object=’‘) -> unicode object
  `subfmts` | tuple() -> empty tuple

  Attributes Documentation

  `name` = u'isot'
  `subfmts` = ((u'date_hms', u'%Y-%m-%dT%H:%M:%S', u'{year:d}-{mon:02d}-{day:02d}T{hour:02d}:{min:02d}:{sec:02d}'), (u'date_hm', u'%Y-%m-%dT%H:%M', u'{year:d}-{mon:02d}-{day:02d}T{hour:02d}:{min:02d}'), (u'date', u'%Y-%m-%d', u'{year:d}-{mon:02d}-{day:02d}'))